{% extends "ajax/game/town/town.html.twig" %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-well time-{{ hour }} {% if town.isNight %}night{% endif %}"></div>
    </div>

    <div class="row">
        <div class="cell padded rw-3 rw-lg-4 rw-md-6 ro-md-3 rw-sm-8 ro-sm-2">
            <div class="well">
                <div class="back"></div>
                <div class="water" style="height: {{ 6 + 59 * min(1.0, (rations_left / 100.0)) }}%"></div>
                <div class="mask"></div>
                <div class="overlay">
                    {% trans with {'%rations%': rations_left} from 'game' %}%rations% Rationen Wasser übrig{% endtrans %}
                </div>
            </div>
        </div>
        <div class="cell padded rw-9 rw-lg-8 rw-md-12">
            <div class="help">
                {% trans from 'game' %}
                    Der Brunnen ist der Ort, an dem sich die Bürger jeden Tag ihre Ration Wasser holen.
                {% endtrans %}
            </div>
            {% if pump is not null %}
                {# @var pump \App\Entity\Building #}
                {% if banished %}
                    <div class="note note-warning">
                        {% trans from 'game' %}
                            Aufgrund deiner Verbannung kannst du maximal eine Ration Wasser pro Tag entnehmen.
                        {% endtrans %}
                    </div>
                {% else %}
                    <div class="note">
                        {% trans with {'%pumpname%':'<b>' ~ pump.prototype.label|trans({}, 'buildings') ~ '</b>' } from 'game' %}
                            Die Stadt verfügt über eine %pumpname%.
                        {% endtrans %}
                    </div>
                {% endif %}


            {% endif %}
            <p>
                {% if first_take %}
                    <button x-well-confirm="0" x-well-direction="up" {% if not allow_take %}disabled{% endif %}><img alt="" src="{{ asset('build/images/item/item_water.gif') }}" />{% trans from 'game' %}Deine Ration Wasser erhalten{% endtrans %}</button>
                {% else %}
                    <button x-well-confirm="1" x-well-direction="up" {% if not allow_take %}disabled{% endif %}><img alt="" src="{{ asset('build/images/item/item_water.gif') }}" />{% trans from 'game' %}Eine weitere Ration erhalten{% endtrans %}</button>
                {% endif %}
            </p>
            <p>
                <button x-well-confirm="1" x-well-direction="down"><img alt="" src="{{ asset('build/images/icons/small_well.gif') }}" />{% trans from 'game' %}Wasser hinzufügen{% endtrans %}</button>
            </p>

            <p class="book">
                {% trans from 'game' %}
                    Wasser ist unersetzbar. Es ermöglicht dir einmal pro Tag deine Aktionspunkte durch Trinken wieder aufzufüllen. Des weiteren kann man es auch gegen Zombies einsetzen (reines Wasser zerstört sie).
                {% endtrans %}
            </p>
        </div>
    </div>
    <div class="row">
        <h5>{{ 'Brunnenregister'|trans({},'game') }}</h5>
        <div class="cell rw-12">
            {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('town_well_log_controller') } %}
            {% endembed %}
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% embed "scripts/log.js.twig" %}{% endembed %}

        const take_water = function( dir ) {
            $.ajax.easySend( '{{ path('town_well_item_controller') }}', {
                    direction: dir
                },
                function () {
                    $.ajax.load(null, '{{ path('town_well') }}', true);
                } );
        };
        let wellButtons = document.querySelectorAll('*[x-well-confirm]:not([disabled])');
        for (let i = 0; i < wellButtons.length; i++)
            wellButtons[i].addEventListener('click', function() {
                if (this.getAttribute('x-well-confirm') === '1')
                    if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                        return;

                take_water( this.getAttribute('x-well-direction') );
            });
    </script>
{% endblock %}